Index: trunk/workshop-foss4g/loading_data.rst
===================================================================
--- trunk/workshop-foss4g/loading_data.rst	(revision 45)
+++ trunk/workshop-foss4g/loading_data.rst	(revision 60)
@@ -10,5 +10,5 @@
    .. image:: ./screenshots/pgshapeloader_01.png
 
-#. Ensuite, ouvrez le navigateur de fichier *Shape File* puis dans le rÃ©pertoire file:`\\postgisintro\\data` sÃ©lectionnez le fichier :file:`nyc_census_blocks.shp`. 
+#. Ensuite, ouvrez le navigateur de fichier *Shape File* puis dans le rÃ©pertoire file:`\\postgisintro\\data` sÃ©lectionnez le fichier :file:`nyc_census_blocks.shp`.
 
 #. Saisissez les dÃ©tails de la section *connexion PostGIS* et cliquez sur le bouton **Test Connection...**.
@@ -25,6 +25,6 @@
         - ``nyc``
 
-  .. note:: 
-  
+  .. note::
+
      Affecter le numÃ©ro de port **54321** est trÃšs important ! Le serveur PostGIS d'OpenGeo utilise ce port et non le port par dÃ©faut (5432).
 
@@ -48,17 +48,17 @@
 #. Pour finir, cliquez sur le bouton **Import** et regardez l'importation s'exÃ©cuter. Cela peut prendre plusieurs minutes pour charger, mais ce fichier est le plus gros que nous aurons Ã  charger.
 
-#. RepÃ©tez la mÃ©thode afin d'importer les autres donnÃ©es prÃ©sentes dans le rÃ©pertoire data. Ormis le nom du fichier et le nom de la table de sortie, les autres paramÃštres de pgShapeLoader devrait rester les mÃªmes :
+#. RepÃ©tez la mÃ©thode afin d'importer les autres donnÃ©es prÃ©sentes dans le rÃ©pertoire data. Hormis le nom du fichier et le nom de la table de sortie, les autres paramÃštres de pgShapeLoader devrait rester les mÃªmes :
 
    * ``nyc_streets.shp``
    * ``nyc_neighborhoods.shp``
    * ``nyc_subway_stations.shp``
- 
-#. Lorsque tout les fichiers sont chargÃ©s, cliquez sur le bouton "Refresh" de pgAdmin pour mettre Ã  jour l'arbre affichÃ©. Vous devriez voir vos quatre nouvellles tables affichÃ©es dans la section **Tables** de l'arbre.
+
+#. Lorsque tous les fichiers sont chargÃ©s, cliquez sur le bouton "Refresh" de pgAdmin pour mettre Ã  jour l'arbre affichÃ©. Vous devriez voir vos quatre nouvellles tables affichÃ©es dans la section **Tables** de l'arbre.
 
    .. image:: ./screenshots/refresh.png
- 
- 
+
+
 Shapefile ? Qu'est-ce que c'est ?
--------------------------------
+---------------------------------
 
 Il est possible que vous vous demandiez "Qu'est-ce que c'est ce shapefile ?" On utilise communÃ©ment le terme "Shapefile" pour parler d'un ensemble de fichiers d'extension ``.shp``, ``.shx``, ``.dbf``, ou autre ayant un nom commun (ex: nyc_census_blocks). Le fichier Shapefile est en rÃ©alitÃ© le fichier d'extension ``.shp``, mais ce fichier seul n'est pas complet sans ses fichiers associÃ©s.
@@ -67,10 +67,10 @@
 
   * ``.shp`` â les formes; les entitÃ©s gÃ©ographiques elle-mÃªmes
-  * ``.shx`` â l'index de formes; un index base sur les positions des entitÃ©s gÃ©ographiques
-  * ``.dbf`` â les attributs; les donnÃ©es attributaires associÃ©es Ã  chaque formes, au format dBase III
-    
-Les fichiers optionels possibles:
+  * ``.shx`` â l'index de formes; un index basÃ© sur les positions des entitÃ©s gÃ©ographiques
+  * ``.dbf`` â les attributs; les donnÃ©es attributaires associÃ©es Ã  chaque forme, au format dBase III
 
-  * ``.prj`` â la projection; le systÃšme de coordonnÃ©es et l'information de projection, un fichier texte dÃ©crivant la projection utilisant le format text bien connu (WKT)
+Les fichiers optionnels possibles:
+
+  * ``.prj`` â la projection; le systÃšme de coordonnÃ©es et l'information de projection, un fichier texte dÃ©crivant la projection utilisant le format texte bien connu (WKT)
 
 Afin d'utiliser un fichier Shapefile dans PostGIS, vous devez le convertir en une sÃ©rie de requÃªtes SQL. En utilisant pgShapeLoader, un Shapefile est converti en une table que PostgreSQL peut comprendre.
@@ -80,7 +80,7 @@
 -------------------------------
 
-La plupart des paramÃštres de l'importation de donnÃ©es sont explicites mais mÃªme les proffessionnels du SIG peuvent rencontrer des difficultÃ© Ã  propos du  **SRID**.
+La plupart des paramÃštres de l'importation de donnÃ©es sont explicites mais mÃªme les professionnels du SIG peuvent rencontrer des difficultÃ© Ã  propos du  **SRID**.
 
-"SRID" signifie "IDentifiant de RÃ©fÃ©rÃ©nce Spatiale". Il dÃ©finit tout les paramÃštres de nos donnÃ©es, telles les coordonnÃ©es gÃ©ographiques et la projection. Un SRID est pratique car il encapsule sous la forme d'un nombre toutes les informations Ã  propos de la projection de la carte (ce qui peut Ãªtre trÃšs compliquÃ©).
+"SRID" signifie "IDentifiant de RÃ©fÃ©rence Spatiale". Il dÃ©finit tous les paramÃštres de nos donnÃ©es, telles les coordonnÃ©es gÃ©ographiques et la projection. Un SRID est pratique car il encapsule sous la forme d'un nombre toutes les informations Ã  propos de la projection de la carte (ce qui peut Ãªtre trÃšs compliquÃ©).
 
 Vou pouvez consulter la dÃ©finition de la projection de la carte en consultant la base de donnÃ©es en ligne suivante :
@@ -93,10 +93,9 @@
 
   SELECT srtext FROM spatial_ref_sys WHERE srid = 26918;
-  
+
 .. note::
+   La table ``spatial_ref_sys`` de PostGIS est une table standard OGC qui dÃ©finit tous les systÃšmes de rÃ©fÃ©rence spatiale connus par la base de donnÃ©es. Les donnÃ©es livrÃ©es avec PostGIS, contiennent 3000 systÃšmes de rÃ©fÃ©rence spatiale et prÃ©cisent les informations nÃ©cessaires Ã  la transformation ou la reprojection.
 
-   La table ``spatial_ref_sys`` de PostGIS est une table standard OGC qui dÃ©finit tout les systÃšmes de rÃ©fÃ©rences spatiales connus par la base de donnÃ©es. Les donnÃ©es livrÃ©es avec PostGIS, contiennent 3000 systÃšmes de rÃ©fÃ©rences spatiales et prÃ©cisent les informations nÃ©cessaires Ã  la tranformation ou la reprojection.  
-   
-Dans les deux cas, vous obtiendrez une reprÃ©sentation du systÃšme de rÃ©fÃ©rences spatiales **26918** (affichÃ© sur plusieurs lignes ici pour plus de clartÃ©).
+Dans les deux cas, vous obtiendrez une reprÃ©sentation du systÃšme de rÃ©fÃ©rence spatiale **26918** (affichÃ©e sur plusieurs lignes ici pour plus de clartÃ©).
 
 ::
@@ -129,26 +128,26 @@
 .. image:: ./screenshots/prj2epsg_01.png
 
-Les donnÃ©es que vous recevez des agences locales de l'Ã©tat - comme la ville de New York - utilisent la plupart du temps des projections locales notÃ© "state plane" ou "UTM". Dans notre cas, la projection est "Universal Transverse Mercator (UTM) Zone 18 North" soit EPSG:26918.  
+Les donnÃ©es que vous recevez des agences locales de l'Etat - comme la ville de New York - utilisent la plupart du temps des projections locales notÃ©es "state plane" ou "UTM". Dans notre cas, la projection est "Universal Transverse Mercator (UTM) Zone 18 North" soit EPSG:26918.
 
 
-Les choses Ã  essayer : Rendre spatiale une base de donnÃ©es existante
+Les choses Ã  essayer : rendre spatiale une base de donnÃ©es existante
 --------------------------------------------------------------------
 
-Vous avez dÃ©jÃ  vue comment crÃ©er une base de donnÃ©es en utilisant le modÃšle ``postgis_template`` depuis pgAdmin. NÃ©anmoins, lorsque vous installÃ© depuis les sources ou que vous ajoutez le module PostGIS Ã  une base existante, il n'est pas toujours appropriÃ© de crÃ©er une nouvelle base de donnÃ©es en utilisant le modÃšle PostGIS.
+Vous avez dÃ©jÃ  vu comment crÃ©er une base de donnÃ©es en utilisant le modÃšle ``postgis_template`` depuis pgAdmin. NÃ©anmoins, lorsque vous installÃ© depuis les sources ou que vous ajoutez le module PostGIS Ã  une base existante, il n'est pas toujours appropriÃ© de crÃ©er une nouvelle base de donnÃ©es en utilisant le modÃšle PostGIS.
 
-Votre tÃ¢che consiste dans cette section Ã  crÃ©er une base de donnÃ©es et Ã  ajouter les types et les fonctions PostGIS ensuite. Les script SQL nÃ©cessaires - :file:`postgis.sql` et :file:`spatial_ref_sys.sql` - se trouve dans le rÃ©pertoire :file:`contrib` de votre installation de PostgreSQL. Pour vous guider, vous pouvez consulter la documentation PostGIS expliquant comment installer PostGIS [#PostGIS_Install]_.
+Votre tÃ¢che consiste dans cette section Ã  crÃ©er une base de donnÃ©es et Ã  ajouter les types et les fonctions PostGIS ensuite. Les script SQL nÃ©cessaires - :file:`postgis.sql` et :file:`spatial_ref_sys.sql` - se trouvent dans le rÃ©pertoire :file:`contrib` de votre installation de PostgreSQL. Pour vous guider, vous pouvez consulter la documentation PostGIS expliquant comment installer PostGIS [#PostGIS_Install]_.
 
 .. note::
 
-   N'oubliez pas saisir le nom de l'utilisateur et le numÃ©ro de port losque vous crÃ©er une base de donnÃ©es en ligne de commande.
-    
-Les choses Ã  essayer : Visualiser des donnÃ©es avec uDig
-------------------------------------------------------
+   N'oubliez pas saisir le nom de l'utilisateur et le numÃ©ro de port lorsque vous crÃ©ez une base de donnÃ©es en ligne de commande.
 
-`uDig <http://udig.refractions.org>`_, (User-friendly Desktop Internet GIS) est un outil bureautique de visualisation/edition SIG permettant de visualiser rapidement se donnÃ©es. Vous pouvez visualiser un grand nombre de formats diffÃ©rents dont les Shapefiles et les bases de donnÃ©es PostGIS. Son interface graphique vous permet d'explorer vos donnÃ©es facilement mais aussi de les tester et les styler rapidement.
+Les choses Ã  essayer : visualiser des donnÃ©es avec uDig
+-------------------------------------------------------
 
-Utilisez cette application pour vous connecter Ã  votre base de donnÃ©es PostGIS. L'application est contenu dans le rÃ©pertoire ``software``.
+`uDig <http://udig.refractions.org>`_, (User-friendly Desktop Internet GIS) est un outil bureautique de visualisation/Ã©dition SIG permettant de visualiser rapidement ses donnÃ©es. Vous pouvez visualiser un grand nombre de formats diffÃ©rents dont les Shapefiles et les bases de donnÃ©es PostGIS. Son interface graphique vous permet d'explorer vos donnÃ©es facilement mais aussi de les tester et les styler rapidement.
 
-.. rubric:: Footnotes
+Utilisez cette application pour vous connecter Ã  votre base de donnÃ©es PostGIS. L'application est contenue dans le rÃ©pertoire ``software``.
+
+.. rubric:: Notes de bas de page
 
 .. [#PostGIS_Install] "Chapter 2.5. Installation" PostGIS Documentation. Mai 2010 <http://postgis.org/documentation/manual-1.5/ch02.html#id2786223>