Index: trunk/workshop-routing-foss4g/chapters/osm2pgrouting.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/osm2pgrouting.rst	(revision 63)
+++ trunk/workshop-routing-foss4g/chapters/osm2pgrouting.rst	(revision 69)
@@ -1,40 +1,40 @@
 ==============================================================================================================
-osm2pgrouting Import Tool
+Outils d'import osm2pgrouting
 ==============================================================================================================
 
-**osm2pgrouting** is a command line tool that makes it very easy to import OpenStreetMap data into a pgRouting database. It builds the routing network topology automatically and creates tables for feature types and road classes. osm2pgrouting was primarily written by Daniel Wendt and is currently hosted on the pgRouting project site: http://www.pgrouting.org/docs/tools/osm2pgrouting.html
+**osm2pgrouting** est un outils en ligne de commande qui rend simple l'importation de donnÃ©es OpenStreetMap dans une base de donnÃ©es pgRouting. Il contruit le rÃ©seau routier automatiquement et crÃ©e les tables pour les types de donnÃ©es et les classes de routes. osm2pgrouting a Ã©tÃ© Ã©crit initialement par Daniel Wendt et est maintenant disponible sur le site du projet pgRouting : http://www.pgrouting.org/docs/tools/osm2pgrouting.html
 
 .. note::
 
-	There are some limitations, especially regarding the network size. The current version of osm2pgrouting needs to load all data into memory, which makes it fast but also requires a lot or memory for large datasets. An alternative tool to osm2pgrouting without the network size limitation is **osm2po** (http://osm2po.de). It's available under "Freeware License".
+	Il y a quelques limitations, particuliÃšrement par rapport Ã  la taille du rÃ©seay. La version actuelle nÃ©cessite le chargement en mÃ©moire de l'ensemble des donnÃ©es, ce qui le rend rapide mais consome aussi beaucoup de mÃ©moire pour les gros enesemble d'objets. Un outils alternatif n'ayant pas de limitation sur la taille du rÃ©seauest **osm2po** (http://osm2po.de). Il est disponible sous licence "Freeware License".
 	
 
-Raw OpenStreetMap data contains much more features and information than need for routing. Also the format is not suitable for pgRouting out-of-the-box. An ``.osm`` XML file consists of three major feature types:
+Les donnÃ©es brutres d'OpenStreetMap contiennent bien plus d'Ã©lÃ©ments et d'informations qu'il est nÃ©cessaire pour du routage. Ainsi le format n'est pas utilisable tel-quel avec pgRouting. Un fichier XML ``.osm`` contient trois types de donnÃ©es majeurs :
 
-* nodes
-* ways
+* noeuds
+* chemins
 * relations
 
-The data of sampledata.osm for example looks like this:
+Les donnÃ©es de sampledata.osm par exemple ressemble Ã  ce qui suit :
 
 .. literalinclude:: code/osm_sample.osm
 	:language: xml
 
-Detailed description of all possible OpenStretMap types and classes can be found here:  http://wiki.openstreetmap.org/index.php/Map_features.
+Une description dÃ©taillÃ©e de tout les types et classes possibles d'OpenStreetMap peuvent-Ãªtre trouvÃ© ici : http://wiki.openstreetmap.org/index.php/Map_features.
 
-When using osm2pgrouting, we take only nodes and ways of types and classes specified in ``mapconfig.xml`` file that will be imported into the routing database:
+Lorsuqe vous utilisez osm2pgrouting, nous devons conserver uniquement les noeuds et les chemin ayant pour types et classes celles stipulÃ©e dans le fichier ``mapconfig.xml`` qui seront improtÃ©s dans notre base de donnÃ©es routing :
 
 .. literalinclude:: code/mapconfig_sample.xml
 	:language: xml
 
-The default ``mapconfig.xml`` is installed in ``/usr/share/osm2pgrouting/``.
+Le fichier ``mapconfig.xml``par dÃ©faut est installÃ© dans le rÃ©pertoire : ``/usr/share/osm2pgrouting/``.
 
 
 -------------------------------------------------------------------------------------------------------------
-Create routing database
+CrÃ©ation de la base de donnÃ©es routing
 -------------------------------------------------------------------------------------------------------------
 
-Before we can run osm2pgrouting we have to create a database and load PostGIS and pgRouting functions into this database. 
-If you have installed the template databases as described in the previous chapter, creating a pgRouting-ready database is done with a single command. Open a terminal window and run:
+Avant de lancer osm2pgrouting nous devons crÃ©er la base de donnÃ©es et y charger les fonctionalitÃ©s de PostGIS et pgRouting .
+Si vous avez installÃ© le modÃšle de base de donnÃ©es comme dÃ©crit dans le chapitre prÃ©cÃ©dent, crÃ©er une base de donnÃ©es prÃªte Ã  utiliser pgRouting est fait par une simple commande. Ouvrez une fenÃªtre de terminal et utiliser la commande suivante : 
 
 .. code-block:: bash
@@ -42,26 +42,26 @@
 	createdb -U postgres -T template_routing routing
 	
-... and you're done.
+... vous avez terminÃ©.
 
-Alternativly you can use **PgAdmin III** and SQL commands. Start PgAdmin III (available on the LiveDVD), connect to any database and open the SQL Editor and then run the following SQL command:
+Une alternative consiste Ã   utiliser l'outil **PgAdmin III** et des requÃªtes SQL. DÃ©marrez  PgAdmin III (disponible sur le LiveDVD), connectez vous Ã  une base de donnÃ©es eyt ouvrez l'Ã©diteur de requÃªtes afin d'y saisir les requÃªtes SQL suivantes :
 
 .. code-block:: sql
 
-	-- create routing database
+	-- CrÃ©ationde la base routing
 	CREATE DATABASE "routing" TEMPLATE "template_routing";
 
 
-Otherwise you need to manually load several files into your database. See :ref:`previous chapter <installation_load_functions>`.
+Sinon, vous devez manuellement charger diffÃ©rents fichier dans la base de donnÃ©es. Voir : :ref:`previous chapter <installation_load_functions>`.
 
 	
 -------------------------------------------------------------------------------------------------------------
-Run osm2pgrouting
+Utiliser osm2pgrouting
 -------------------------------------------------------------------------------------------------------------
 
-The next step is to run ``osm2pgrouting`` converter, which is a command line tool, so you need to open a terminal window.
+La prochaine Ã©tape c'est de lancer l'outil ``osm2pgrouting``, qui est un outil en ligne de commande, donc vous devrez l'utiliser depuis une fenÃªtre de terminal.
 
-We take the default ``mapconfig.xml`` configuration file and the ``routing`` database we created before. Furthermore we take ``~/Desktop/pgrouting-workshop/data/sampledata.osm`` as raw data. This file contains only OSM data from downtown Denver to speed up  data processing time.
+Nous prendrons par dÃ©faut le fichier de configuration ``mapconfig.xml`` et la base de donnÃ©es ``routing`` que nous avons crÃ©er prÃ©cÃ©demment. De plus nous prendrons le fichier ``~/Desktop/pgrouting-workshop/data/sampledata.osm`` comme donnÃ©es brutes. Ce fichier contient seulement les donnÃ©es OSM du centre ville de Denver afin d'accÃ©lÃ©rer le processus de chargement des donnÃ©es.
 
-The workshop data is available as compressed file, which needs to be extracted first either using file manager or with this command:
+Les donnÃ©es sont disponibles au format compressÃ©, qui doit donc Ãªtre dÃ©compressÃ© soit en utlisant un navigateur de fichier soit en utilisant la commande suivante :
 
 .. code-block:: bash
@@ -70,5 +70,5 @@
 	tar -xvzf data.tar.gz
 
-Then run the converter:
+Lancer ensuite l'outil :
 	
 .. code-block:: bash
@@ -80,56 +80,56 @@
 				  -clean
 					
-List of all possible parameters:
+List des paramÃštres possible :
 
 .. list-table::
    :widths: 15 15 60 10
 
-   * - **Parameter**
-     - **Value**
-     - **Description**
-     - **Required**
+   * - **ParamÃštre**
+     - **Valeur**
+     - **DÃ©scription**
+     - **Requis**
    * - -file
-     - <file>
-     - name of your osm xml file
+     - <fichier>
+     - le nom du fichier XML .osm
      - yes
    * - -dbname
-     - <dbname>
-     - name of your database
+     - <nom_de_base>
+     - le nom de votre base de donnÃ©es
      - yes
    * - -user
-     - <user>
-     - name of the user, which have write access to the database
+     - <utilisateur>
+     - le nom de l'utilisateur, qui a le droit d'accÃšs en Ã©criture sur la base de donnÃ©es
      - yes
    * - -conf
-     - <file>
-     - name of your configuration xml file
+     - <fichier>
+     - le nom du fichier XML de configuration
      - yes
    * - -host
-     - <host>
-     - host of your postgresql database (default: 127.0.0.1)
+     - <hÃŽte>
+     - l'hÃŽte de votre base de donnÃ©es postgresql (par dÃ©faut : 127.0.0.1)
      - no
    * - -port
      - <port>
-     - port of your database (default: 5432)
+     - le numÃ©ro de port de votre serveur de base de donnÃ©es(par dÃ©faut: 5432)
      - no
    * - -passwd
-     - <passwd>
-     - password for database access
+     - <mot_de_passe>
+     - le mot de passe pour se connecter Ã  la base de donnÃ©es
      - no
    * - -clean
      - 
-     - drop peviously created tables
+     - Suprrimer les tables prÃ©cÃ©demment crÃ©Ã©es
      - no
 
 .. note::
 
-	If you get permission denied error for postgres users you can set connection method to ``trust`` in ``/etc/postgresql/8.4/main/pg_hba.conf`` and restart PostgreSQL server with ``sudo service postgresql-8.4 restart``.
+	Si vous obtenez un message d'erreur relatif aux droits de l'utilisateur postgres, vous pouvez dÃ©finir la mÃ©thode comme ``trust`` dans le fichier  ``/etc/postgresql/8.4/main/pg_hba.conf`` et redÃ©marrer le serveur PostgreSQL avec la commande ``sudo service postgresql-8.4 restart``.
 
 
-Depending on the size of your network the calculation and import may take a while. After it's finished connect to your database and check the tables that should have been created:
+Suivant la taille de votre rÃ©seau le temps de cacul et d'importation de donnÃ©es peut Ãªtre long. Une fois terminÃ©, connectez Ã  votre base de donnÃ©es et vÃ©rifiez les tables qui aurait du Ãªtre crÃ©Ã©es :
 
-.. rubric:: Run: ``psql -U postgres -d routing -c "\d"``	
+.. rubric:: Lancer: ``psql -U postgres -d routing -c "\d"``	
 
-If everything went well the result should look like this:
+Si tout se passe bien, le rÃ©sultat devrait ressembler Ã  ceci :
 	
 .. code-block:: sql