Index: trunk/workshop-routing-foss4g/chapters/advanced.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/advanced.rst	(revision 63)
+++ trunk/workshop-routing-foss4g/chapters/advanced.rst	(revision 71)
@@ -1,7 +1,7 @@
 ==============================================================================================================
-Advanced Routing Queries
+RequÃªtes de routage avancÃ©es
 ==============================================================================================================
 
-As explained in the previous chapter a shortest path query usualy looks like this:
+Comme expliquÃ© dans le chapitre prÃ©cÃ©dent une requÃªte de recherche de plus court chemine ressemble gÃ©nÃ©ralement Ã  ce qui suit :
 
 .. code-block:: sql
@@ -11,31 +11,31 @@
 		to_cost, reverse_cost FROM ways', 6585, 8247, true, true);
 	
-This is usually called **shortest** path, which means that a length of an edge is its cost. But cost doesn't need to be length, cost can be almost anything, for example time, slope, surface, road type, etc.. Or it can be a combination of multiple parameters ("Weighted costs").
+On parle gÃ©nÃ©ralement de **plus court** chemin, ce qui signifie que la longueur d'un arc est son coÃ»t. Mais le coÃ»t n'est pas nÃ©cessairement une longueur, il peut reprÃ©senter n'importe quoi, par exemple le temps, la surface, le type de routes, etc ... Ou il peut Ãªtre la combinaison de plusieurs paramÃštres ("coÃ»ts pondÃ©rÃ©s").
 
 .. note::
 
-	If you want to proceed with a routing database containing pgRouting functions, sample data and all required attributes, you can load the following database dump file. 
+	Si vous souhaitez continuer avec une base de donnÃ©es contenant les fonctions pgRouting, les donnÃ©es exemples ainsi que les attributs nÃ©cessaires, vous pouvez charger le fichier de sauvegarded la maniÃšre suivante.
 
 .. code-block:: bash
 
-	# Optional: Drop database
+	# Optionel: supprimer la base de donnÃ©es
 	dropdb -U postgres pgrouting-workshop
 
-	# Load database dump file
+	# Charger le fichier de sauvegarde
 	psql -U postgres -f ~/Desktop/pgrouting-workshop/data/sampledata_routing.sql
 
 -------------------------------------------------------------------------------------------------------------
-Weighted costs
+CoÃ»ts pondÃ©rÃ©s
 -------------------------------------------------------------------------------------------------------------
 
-In real networks there are different limitations or preferences for different road types for example. In other words, we don't want to get the *shortest* but the **cheapest** path - a path with a minimal cost. There is no limitation in what we take as costs.
+Dans un vrai rÃ©seau il y a diffÃ©rents types de limitations ou de prÃ©fÃ©rences suivant les types de routes par exemple. En d'autre termes, nous ne voulons pas calculer *le plus court* chemin mais le chemin *le moins cher* - un chemin avec un coÃ»t minimum. Il n'y aucune limitation dans ce qui peut ÃªtreutilsiÃ© pour dÃ©finir le coÃ»t.
 
-When we convert data from OSM format using the osm2pgrouting tool, we get two additional tables for road ``types`` and road ``classes``:
+Lorsque nous avons convertis les donnÃ©es au format OSM en utilisant l'outil osm2pgrouting, nous avons deux autres tables permettant de dÃ©ifinir les ``types`` de routes et les ``classes``.
 
 .. note::
 
-	We switch now to the database we previously generated with osm2pgrouting. From within PostgreSQL shell this is possible with the ``\c routing`` command.
+	Nous passons maintenant Ã  la base de donnÃ©es que nuos avons gÃ©nÃ©rÃ©e avec osm2pgrouting. Depuis l'invite de commandes de PostgreSQL ceci est possible avec la commande ``\c routing``.
 
-.. rubric:: Run: ``SELECT * FROM types;``
+.. rubric:: Lancer : ``SELECT * FROM types;``
 
 .. code-block:: sql
@@ -48,5 +48,5 @@
 	   3 | tracktype
    
-.. rubric:: Run: ``SELECT * FROM classes;``
+.. rubric:: Lancer : ``SELECT * FROM classes;``
 
 .. code-block:: sql
@@ -89,5 +89,5 @@
 	 305 |       3 | grade5             |     
 
-The road class is linked with the ways table by ``class_id`` field. After importing data the ``cost`` attribute is not set yet. Its values can be changed with an ``UPDATE`` query. In this example cost values for the classes table are assigned arbitrary, so we execute:
+La classe de route est liÃ©e avec la tables des cheminspar le champ ``class_id``. Suite Ã  l'importation des donnÃ©es la valeur de la colonne ``cost`` n'est pas encore attribuÃ©e. Sa valeur peut Ãªtre modifiÃ©e Ã  l'aide d'une requÃªte ``UPDATE``. Dans cet exemple les valeurs de coÃ»t pour la table des classe sont assignÃ© de faÃ§on arbitraire, donc nous exÃ©cutons :
 
 .. code-block:: sql
@@ -101,5 +101,5 @@
 	UPDATE classes SET cost=0.3 WHERE name IN ('motorway','motorway_junction','motorway_link');
 
-For better performance, especially if the network data is large, it is better to create an index on the ``class_id`` field of the ways table and eventually on the ``id`` field of the ``types`` table.
+Pour de meilleures performances, tout spÃ©cialement si le rÃ©seau est important, il est prÃ©fÃ©rable de crÃ©er un index sur la colonnes ``class_id`` de la table des chemins et eventuellement le champ ``id`` de la table ``types``.
 
 .. code-block:: sql
@@ -108,5 +108,5 @@
 	CREATE INDEX classes_idx ON classes (id);
 
-The idea behind these two tables is to specify a factor to be multiplied with the cost of each link (usually length):
+L'idÃ©e de ces deux tables est de les utiliser afin de spÃ©cifier un facteur qui sera multipliÃ© par le coÃ»t de parcour d'un tronÃ§on (habituellement la longueur) :
 
 .. code-block:: sql
@@ -119,8 +119,8 @@
 
 -------------------------------------------------------------------------------------------------------------
-Restricted access
+Restriction d'accÃšs
 -------------------------------------------------------------------------------------------------------------
 
-Another possibility is to restrict access to roads of a certain type by either setting a very high cost for road links with a certain attribute or by not selecting certain road links at all:
+Une autre possibilitÃ© est de restreindre l'accÃšs Ã  des routes d'un certains types soit en affectant un coÃ»t trÃšs Ã©levÃ© Ã  un tronÃ§on ayant un certain attribut soit en s'assurant de ne sÃ©lectionner aucun de ces tronÃ§ons :
 
 .. code-block:: sql
@@ -128,7 +128,7 @@
 	UPDATE classes SET cost=100000 WHERE name LIKE 'motorway%';
 
-Through subqueries you can "mix" your costs as you like and this will change the results of your routing request immediately. Cost changes will affect the next shortest path search, and there is no need to rebuild your network.
+En utilisant des sous-requÃªtes vous pouvez "mixer" vos coÃ»t comme bon vous semble et cela modifiera le rÃ©sultat obtenu imÃ©diatement. Les changements de coÃ»ts affecteront la prochaine recherche de plus courts chemins, sans avoir Ã  reconstruire le votre rÃ©seau.
 
-Of course certain road classes can be excluded in the ``WHERE`` clause of the query as well, for example exclude "living_street" class:
+Bien entendu, certaines classes de tronÃ§on peuvent aussi Ãªtre exclues Ã  l'aide d'une clause ``WHERE`` dans la requÃªte, par exemple pour exclure la classe "living_street" :
 
 .. code-block:: sql
@@ -140,4 +140,4 @@
 		WHERE class_id=c.id AND class_id != 111', 6585, 8247, true, true);
 
-Of course pgRouting allows you all kind of SQL that is possible with PostgreSQL/PostGIS.
+Bien entendu, pgRouting vus permet tout types de requÃªtes SQL supportÃ©es par PostgreSQL/PostGIS.
  