Index: trunk/workshop-routing-foss4g/chapters/shortest_path.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/shortest_path.rst	(revision 63)
+++ trunk/workshop-routing-foss4g/chapters/shortest_path.rst	(revision 73)
@@ -1,7 +1,7 @@
 ==============================================================================================================
-Shortest Path Search
+Plus courts chemins
 ==============================================================================================================
 
-pgRouting was first called *pgDijkstra*, because it implemented only shortest path search with *Dijkstra* algorithm. Later other functions were added and the library was renamed.
+pgRouting Ã©tÃ© initialement appelÃ© *pgDijkstra*, puisque il implÃ©mentait seulement la recherche de plus court chemin Ã  l'aide de l'agorithme de *Dijkstra*. Plus tard, d'uatres fonctions se sont ajoutÃ©es et la bibliotÃšque fut renommÃ©e.
 
 .. image:: images/route.png
@@ -9,10 +9,10 @@
 	:align: center
 	
-This chapter will explain the three different shortest path algorithms and which attributes are required. 
-
-
-.. note::
-
-	If you run :doc:`osm2pgrouting <osm2pgrouting>` tool to import *OpenStreetMap* data, the ``ways`` table contains all attributes already to run all shortest path functions. The ``ways`` table of the ``pgrouting-workshop`` database of the :doc:`previous chapter <topology>` is missing several attributes instead, which are listed as **Prerequisites** in this chapter.
+Ce chapitre explique les trois diffÃ©rents algorithmes et les attributs nÃ©cessaires.
+
+
+.. note::
+
+	Si vous lancez l'outils :doc:`osm2pgrouting <osm2pgrouting>` pour importer des donnÃ©es *OpenStreetMap*, la table des chemins (``ways``) contient dÃ©jÃ  tout les attributs nÃ©cessaires pour utiliser les fonctions de recherche de plus court chemins. Au contraire, la table ``ways`` de la base de donnÃ©es ``pgrouting-workshop`` du :doc:`chapitre prÃ©cÃ©dent <topology>` manque d'un certain nombre d'attributs, qui sont prÃ©sentÃ©s dans ce chapitre dans les **PrÃ©requis**.
 
 
@@ -21,9 +21,9 @@
 -------------------------------------------------------------------------------------------------------------
 
-Dijkstra algorithm was the first algorithm implemented in pgRouting. It doesn't require other attributes than ``source`` and ``target`` ID, ``id`` attribute and ``cost``. It can distinguish between directed and undirected graphs. You can specify if your network has ``reverse cost`` or not.
-
-.. rubric:: Prerequisites
-
-To be able to use ``reverse cost`` you need to add an additional cost column. We can set reverse cost as length.
+L'algorithme de Dijkstraa Ã©tÃ© la premiÃšre implÃ©mentation disponible dans pgRouting. Il ne nÃ©cessite pas d'autre attributs que les champs ``source`` et ``target``, les attributs ``id`` et ``cost``. Il peut Ãªtre utilisÃ© sur des graphes orientÃ©s ou non. Vous pouvez spÃ©cifier que votre rÃ©seau Ã  un coÃ»t de ``parcours inverse`` (``reverse cost``) ou non.
+
+.. rubric:: PrÃ©requis
+
+Pour Ãªtre en mesure d'utiliser un coÃ»t de parcuors invers, vous devez ajouter une colonne de coÃ»t. Nous pouvons affecter la longuer au coÃ»t de parcours inverse.
 
 .. code-block:: sql
@@ -32,5 +32,5 @@
 	UPDATE ways SET reverse_cost = length;
 
-.. rubric:: Function with parameters
+.. rubric:: Fonction avec paramÃštres
 
 .. code-block:: sql
@@ -44,13 +44,13 @@
 .. note::
 
-	* Source and target IDs are vertex IDs.
-	* Undirected graphs ("directed false") ignore "has_reverse_cost" setting
-
-
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-Core
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-Each algorithm has its *core* function , which is the base for its wrapper functions.
+	* Les identifiant pour source et target sont les identifiant des noeuds.
+	* Graphes non-orientÃ©s ("directed=false") implique que le paramÃštre "has_reverse_cost" est ignorÃ©
+
+
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+Bases
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+
+Chaque algorithme a une fonction de *base*.
 
 .. code-block:: sql