Index: trunk/workshop-routing-foss4g/chapters/introduction.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/introduction.rst	(revision 74)
+++ trunk/workshop-routing-foss4g/chapters/introduction.rst	(revision 75)
@@ -5,5 +5,5 @@
 .. rubric:: RÃ©sumÃ©
 
-`pgRouting <http://www.pgrouting.org>`_ ajoute les fonctionalitÃ© de routage Ã  `PostGIS <http://www.postgis.org>`_. Ces travaux pratiques d'introduction va vous prÃ©senter comment. Il prÃ©sente un exemple pratique de comment utiliser pgRouting avec les donnÃ©es du rÃ©seau routier d'`OpenStreetMap <http://www.openstreetmap.org>`_. Il explique les Ã©tapes permettant la prÃ©paration des donnÃ©es, effectuer des requÃªtes de routage, l'assignation des coÃ»ts et l'utilisation de `GeoExt <http://www.geoext.org>`_ pour prÃ©senter les chamins depuis une application de web-mapping.
+`pgRouting <http://www.pgrouting.org>`_ ajoute les fonctionalitÃ©s de routage Ã  `PostGIS <http://www.postgis.org>`_. Ces travaux pratiques d'introduction va vous prÃ©senter comment. Il prÃ©sente un exemple pratique de comment utiliser pgRouting avec les donnÃ©es du rÃ©seau routier d'`OpenStreetMap <http://www.openstreetmap.org>`_. Il explique les Ã©tapes permettant la prÃ©paration des donnÃ©es, effectuer des requÃªtes de routage, l'assignation des coÃ»ts et l'utilisation de `GeoExt <http://www.geoext.org>`_ pour prÃ©senter les chamins depuis une application de web-mapping.
 
 La navigration dans un rÃ©seau de routes nÃ©cessite des algorithmes de routage complex qui supportent la restriction des virages utilisables et mÃªme des attributs dÃ©pendant du temps. pgRouting est une librairie OpenSource qui peut Ãªtre Ã©tendue qui fournit une grande variÃ©tÃ© d'outils pour la recherche de plus courts chemins comme une extension de PortgreSQL et de PostGIS. Ces travaux pratiques vont expliquer la recherche de plus courts chemin avec pgRouting dans un rÃ©seau routier rÃ©el et comment la structure des donnÃ©es est importante pour obtenir des rÃ©sultats plus rapidement. Vous apprendrez aussi les difficultÃ©s et le limitations de pgRouting dans le cadre d'application SIG.
Index: trunk/workshop-routing-foss4g/chapters/shortest_path.rst
===================================================================
--- trunk/workshop-routing-foss4g/chapters/shortest_path.rst	(revision 74)
+++ trunk/workshop-routing-foss4g/chapters/shortest_path.rst	(revision 75)
@@ -77,10 +77,10 @@
 
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-Wrapper
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-.. rubric:: Wrapper WITHOUT bounding box
-
-Wrapper functions extend the core functions with transformations, bounding box limitations, etc.. Wrappers can change the format and ordering of the result. They often set default function parameters and make the usage of pgRouting more simple.
+Enveloppe
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+
+.. rubric:: Enveloppe SANS limite d'Ã©tendue
+
+les fonctions enveloppes sont des fonctions qui Ã©tendent les fonctions de bases en y ajoutant des transformations, ajoutant des limites de l'Ã©tendue gÃ©ograhpique de la recherhe, etc.. Les enveloppes peuvent changer le format et l'ordre des rÃ©sultats. Il affectent aussi automatiquement certains paramÃštre et rend l'utilisation de pgRouting encore plsu simple.
 
 .. code-block:: sql
@@ -103,16 +103,16 @@
 .. note::
 
-	It's possible to show the route in QGIS. It works for shortest path queries that return a geometry column.
-
-	* Create a database connection and add the "ways" table as a background layer.
-	* Add another layer of the "ways" table but select ``Build query`` before adding it.
-	* Type ``"gid"  IN ( SELECT gid FROM dijkstra_sp('ways',5700,6733))`` into the **SQL where clause** field.
-	
-	``SQL query`` can be also selected from the layer context menu. 
-
-	
-.. rubric:: Wrapper WITH bounding box
-
-You can limit your search area by adding a bounding box. This will improve performance especially for large networks.
+	Il est possible de visualiser le chemin dans QGIS. Cela fonctionne pour la requÃªte de recherche du plus court chemin qui retourne une colonne gÃ©omÃ©trique.
+
+	* CrÃ©er la connexion Ã  la base de donnÃ©es et ajoutez la table route comme couche de fond.
+	* Ajoutez une autre couche de la table "ways" mais selectionnez l'option ``Build query`` avant de l'ajouter.
+	* Saissez ``"gid"  IN ( SELECT gid FROM dijkstra_sp('ways',5700,6733))`` dans le champ **SQL where clause**.
+	
+	``SQL query`` peut aussi Ãªtre sÃ©lectionnÃ© depuis le menu contextuel de la couche. 
+
+	
+.. rubric:: Enveloppe AVEC une Ã©tendue limite
+
+Vous pouvez limiter votre recherche Ã  une zone prÃ©cise en ajoutant un cadre limite. Cela amÃ©liorera les performances tout spÃ©cialement pour les rÃ©seaux volumineux.
 
 .. code-block:: sql
@@ -134,16 +134,16 @@
 .. note:: 
 
-	The projection of OSM data is "degree", so we set a bounding box containing start and end vertex plus a ``0.1`` degree buffer for example.
-
-
--------------------------------------------------------------------------------------------------------------
-A-Star
--------------------------------------------------------------------------------------------------------------
-
-A-Star algorithm is another well-known routing algorithm. It adds geographical information to source and target of each network link. This enables the shortest path search to prefer links which are closer to the target of the search.
-
-.. rubric:: Prerequisites
-
-For A-Star you need to prepare your network table and add latitute/longitude columns (``x1``, ``y1`` and ``x2``, ``y2``) and calculate their values.
+	La projection des donnÃ©es OSM est en "degrÃ©s", donc nous dÃ©finirons un cadre limite contenant le point de dÃ©part et celui d'arrivÃ©e plus une zone tampon de ``0.1`` degrÃ©s par exemple.
+
+
+-------------------------------------------------------------------------------------------------------------
+A-Ãtoile
+-------------------------------------------------------------------------------------------------------------
+
+L'algortihme A-Ãtoile est un autre algrithme bien connu. Il ajoute l'information de la position gÃ©ographique du dÃ©but et la fin de chaque tronÃ§on. Cela permet une recherche privilÃ©giant les tronÃ§ons proches du point d'arrivÃ©e de la recherche.
+
+.. rubric:: PrÃ©requis
+
+Pour A-* vous avez besoin de prÃ©parer votre table de rÃ©seau et d'y ajouter les colonnes latitute/longitude (``x1``, ``y1`` et ``x2``, ``y2``) et de calculer leur valeurs.
 
 .. code-block:: sql
@@ -168,10 +168,10 @@
 .. Note:: 
 
-	``endpoint()`` function fails for some versions of PostgreSQL (ie. 8.2.5, 8.1.9). A workaround for that problem is using the ``PointN()`` function instead:
-
-
-.. rubric:: Function with parameters
-
-Shortest Path A-Star function is very similar to the Dijkstra function, though it prefers links that are close to the target of the search. The heuristics of this search are predefined, so you need to recompile pgRouting if you want to make changes to the heuristic function itself.
+	La fonction ``endpoint()`` ne fonctionne pas avec certaines versions de PostgresQL (par exemple les version 8.2.5 et 8.1.9). Un moyen de rÃ©soudre ce problÃšme consiste Ã  utiliser la fonction ``PointN()`` Ã  la place:
+
+
+.. rubric:: Fonction avec paramÃštres
+
+La fonction de recherche de plus court chemin A-* est trÃšs semblable Ã  la fonction Dijkstra, bien qu'elle prÃ©fÃšre les tronÃ§ons qui sont plus proche du point d'arrivÃ©e de la recherche. Les heuristiques de cette recherche sont prÃ©dÃ©finis, donc vous aurez besoin de recompiler pgRouting si vous souhaitez modifier ces heuristiques.
 
 .. code-block:: sql
@@ -184,9 +184,9 @@
 
 .. note::
-	* Source and target IDs are vertex IDs.
-	* Undirected graphs ("directed false") ignore "has_reverse_cost" setting
-
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-Core
+	* Les identifiants source et target sont les identifiant des sommets IDs.
+	* Graphes non-orientÃ© ("directed=false") ne prennent pas en compte le paramÃštre "has_reverse_cost"
+
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+Bases
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
@@ -215,10 +215,8 @@
 
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-Wrapper
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-.. rubric:: Wrapper function WITH bounding box
-
-Wrapper functions extend the core functions with transformations, bounding box limitations, etc..
+Enveloppe
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+
+.. rubric:: Fonction envelopper AVEC cadre limite
 
 .. code-block:: sql
@@ -241,6 +239,5 @@
 .. note::
 
-	* There is currently no wrapper function for A-Star without bounding box, since bounding boxes are very useful to increase performance. If you don't need a bounding box Dijkstra will be enough anyway.
-	* The projection of OSM data is "degree", so we set a bounding box containing start and end vertex plus a 0.1 degree buffer for example.
+	* Il n'y a pas actuellement de fonction pour a-* sans cadre limite, Ã©tant donnÃ©e que le cadre limite permet d'amÃ©liorer grandement les performances. Si vous n'avez pas besoin de cadre limite, Dijkstra sera suffisant.
 
 
@@ -249,29 +246,29 @@
 -------------------------------------------------------------------------------------------------------------
 
-Shooting-Star algorithm is the latest of pgRouting shortest path algorithms. Its speciality is that it routes from link to link, not from vertex to vertex as Dijkstra and A-Star algorithms do. This makes it possible to define relations between links for example, and it solves some other vertex-based algorithm issues like "parallel links", which have same source and target but different costs.
-
-.. rubric:: Prerequisites
-
-For Shooting-Star you need to prepare your network table and add the ``rule`` and ``to_cost`` column. Like A-Star this algorithm also has a heuristic function, which prefers links closer to the target of the search.
-
-.. code-block:: sql
-
-	-- Add rule and to_cost column
+L'algorithme Shooting-Star est le dernier algorithme de recherche de plus court chemin. Sa spÃ©cialitÃ© c'est qu'il recherche un parcours d'un tronÃ§on Ã  un autre, pas d'un sommet Ã  un sommet comme les agorithmes de Dijkstra et A-Star le font. Cela rend possible la dÃ©finition de relations entre les tronÃ§ons par exemple, et cela rÃ©soud certains problÃšmes liÃ©s aux recherches d'un sommets Ã  un autre comme les "tronÃ§ons parallÃšles", qui ont les mÃªme sommet de dÃ©but et de fin mais des coÃ»t diffÃ©rents.
+
+.. rubric:: PrÃ©requis
+
+Pour Shooting-Star vous avez besoin de prÃ©parer votre table de rÃ©seau et d'ajouter les colonnes ``rule`` et ``to_cost``. Come l'algorithme A-* il a aussi un fonction heuristique, qui favorise les tronÃ§ons plus proche du point d'arrivÃ©e.which prefers links closer to the target of the search.
+
+.. code-block:: sql
+
+	-- Ajouter les colonnes rule et to_cost
 	ALTER TABLE ways ADD COLUMN to_cost double precision;	
 	ALTER TABLE ways ADD COLUMN rule text;
 
-.. rubric:: Shooting-Star algorithm introduces two new attributes
+.. rubric:: L'algorithme Shooting-Star introduit deux nouveaux attributs
 
 .. list-table::
    :widths: 10 90
 
-   * - **Attribute**
-     - **Description**
+   * - **Attribut**
+     - **DÃ©scription**
    * - rule
-     - a string with a comma separated list of edge IDs, which describes a rule for turning restriction (if you came along these edges, you can pass through the current one only with the cost stated in to_cost column)
+     - une chaine de caractÃšres contenant une liste d'identifiants de tronÃ§no sÃ©parÃ©s par une virgule, qui dÃ©crivent le sens giratoir (si vous venez de cet tronÃ§on, vous pouvez rejoindre le suivant en ajoutant un coÃ»t dÃ©fini dans la colonne to_cost)
    * - to_cost
-     - a cost of a restricted passage (can be very high in a case of turn restriction or comparable with an edge cost in a case of traffic light)
-
-.. rubric:: Function with parameters
+     - un coÃ»t pour passer d'un tronÃ§on Ã  un autre (peut Ãªtre trÃšs Ã©levÃ© s'il est interdit de trouner vers ce tronÃ§on ce qui est comparable au coÃ»t de parcours d'un tronÃ§on en cas de feu de signalisation)
+
+.. rubric:: Fonction avec paramÃštres
 
 .. code-block:: sql
@@ -285,8 +282,8 @@
 .. note::
 
-	* Source and target IDs are link IDs.
-	* Undirected graphs ("directed false") ignores "has_reverse_cost" setting
-
-To describe turn restrictions:
+	* Identifiant du dÃ©part et de l'arrivÃ©e sont des identifiants de tronÃ§ons.
+	* Graphes non-orientÃ©s ("directed=false") ne prennent pas en compte le paramÃštre "has_reverse_cost" 
+
+Pour dÃ©crire une interdiction de tourner :
 
 .. code-block:: sql
@@ -296,5 +293,5 @@
 	  12 |      3 |     10 |    2 |  4 |  3 |  4 |  5 |    1000 | 14
   
-... means that the cost of going from edge 14 to edge 12 is 1000, and
+... signifie que le coÃ»t pour aller du tronÃ§on 14 au tronÃ§on 12 est de 1000, et
 
 .. code-block:: sql
@@ -304,7 +301,7 @@
 	  12 |      3 |     10 |    2 |  4 |  3 |  4 |  5 |    1000 | 14, 4
 
-... means that the cost of going from edge 14 to edge 12 through edge 4 is 1000.
-
-If you need multiple restrictions for a given edge then you have to add multiple records for that edge each with a separate restriction.
+... signifie que le coÃ»t pour aller du tronÃ§on 14 au tronÃ§on 12 via le tronÃ§on 4 est de 1000.
+
+Si vous avez besoin de plusieurs restrictions pour une arrÃªte donnÃ©e you devez ajouter plusieurs enregistrements pour ce tronÃ§on avec un restriction particuliÃšre.
 
 .. code-block:: sql
@@ -315,12 +312,12 @@
 	  11 |      3 |     10 |    2 |  4 |  3 |  4 |  5 |    1000 | 12
 
-... means that the cost of going from either edge 4 or 12 to edge 11 is 1000. And then you always need to order your data by gid when you load it to a shortest path function..
-
-
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-Core
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-An example of a Shooting Star query may look like this: 
+... signifie que le coÃ»t pour aller soit du tronÃ§on  4 soit du 12 au 11 est de 1000. Et donc vous devez ordoner vos donnÃ©es par gid lorsque vous chargez vos donnÃ©es dans la fonction de recherche de plus court chemin...
+
+
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+Bases
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+
+Un exemple d'utilisation de l'algorithme Shooting Star : 
 
 .. code-block:: sql
@@ -349,12 +346,10 @@
 .. warning::
 
-	Shooting Star algorithm calculates a path from edge to edge (not from vertex to vertex). Column vertex_id contains start vertex of an edge from column edge_id.
-
-
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-Wrapper
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-Wrapper functions extend the core functions with transformations, bounding box limitations, etc..
+	L'lgorithme Shooting Star calcul un chemin d'un tronÃ§on Ã  un autre (pas d'un sommet Ã  un autre). La colonnes vertex_id contienr le point de dÃ©part du tronÃ§on de la colonne edge_id.
+
+
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+Envelopper
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
 .. code-block:: sql
@@ -376,7 +371,3 @@
 .. note::
 
-	There is currently no wrapper function for Shooting-Star without bounding box, since bounding boxes are very useful to increase performance. 
-
-.. warning::
-
-	The projection of OSM data is "degree", so we set a bounding box containing start and end vertex plus a 0.1 degree buffer for example.
+	Il n'y a actuellement pas de fonction enveloppe pour Shooting-Star sans cadre limite, puisque le cadre limite amÃ©liore grandement les performances. 