Index: trunk/workshop-routing-foss4g/web/routing-final.html
===================================================================
--- trunk/workshop-routing-foss4g/web/routing-final.html	(revision 76)
+++ trunk/workshop-routing-foss4g/web/routing-final.html	(revision 80)
@@ -2,5 +2,5 @@
 <head>
 
-<title>A Basic GeoExt Page</title>
+<title>Une page GeoExt de base</title>
 <script src="ext/adapter/ext/ext-base.js" type="text/javascript"></script>
 <script src="ext/ext-all.js"  type="text/javascript"></script>
@@ -17,5 +17,5 @@
 <script type="text/javascript">
 
-     // global projection objects (uses the proj4js lib)
+     // Objets globaux projection (utilise la librairie proj4js)
      var epsg_4326 = new OpenLayers.Projection("EPSG:4326"),
          epsg_900913 = new OpenLayers.Projection("EPSG:900913");
@@ -23,8 +23,8 @@
      function pgrouting(store, layer, method) {
          if (layer.features.length == 2) {
-             // erase the previous route
+             // Effacer le chemin prÃ©cÃ©dent
              store.removeAll();
 
-             // transform the two geometries from EPSG:900913 to EPSG:4326
+             // Re-projÃšte les deux gÃ©omÃ©tries de EPSG:900913 et EPSG:4326
              var startpoint = layer.features[0].geometry.clone();
              startpoint.transform(epsg_900913, epsg_4326);
@@ -32,5 +32,5 @@
              finalpoint.transform(epsg_900913, epsg_4326);
 
-             // load to route
+             // Charge le chemin
              store.load({
                  params: {
@@ -44,5 +44,5 @@
 
     Ext.onReady(function() {
-        // create the map panel
+        // CrÃ©ation du paneau carte
         var panel = new GeoExt.MapPanel({
             renderTo: "gxmap",
@@ -58,5 +58,5 @@
         var map = panel.map;
 
-        // create the layer where the route will be drawn
+        // CrÃ©ation de la couche oÃ¹ le chemin sera dessinÃ©
         var route_layer = new OpenLayers.Layer.Vector("route", {
             styleMap: new OpenLayers.StyleMap(new OpenLayers.Style({
@@ -66,8 +66,8 @@
         });
 
-        // create the layer where the start and final points will be drawn
+        // CrÃ©ation de la couche oÃ¹ le point de dÃ©part et d'arrivÃ©e sront dessinÃ©s
         var points_layer = new OpenLayers.Layer.Vector("points");
 
-        // when a new point is added to the layer, call the pgrouting function
+        // Lorsqu'un nouveau point est ajoutÃ© Ã  la couche, appeler la fonction pgrouting
         points_layer.events.on({
             featureadded: function() {
@@ -76,24 +76,24 @@
         });
 
-        // add the layers to the map
+        // Ajouter la couche Ã  la carte
         map.addLayers([points_layer, route_layer]);
 
-        // create the control to draw the points (see the DrawPoints.js file)
+        // CrÃ©ation du control pour dessiner les point (voir le fichier DrawPoints.js)
         var draw_points = new DrawPoints(points_layer);
 
-        // create the control to move the points
+        // CrÃ©ation du control pour dÃ©placer les points
         var drag_points = new OpenLayers.Control.DragFeature(points_layer, {
             autoActivate: true
         });
 
-        // when a point is moved, call the pgrouting function
+        // Lorsqu'un point est dÃ©placÃ©, appeler la fonction pgrouting
         drag_points.onComplete = function() {
               pgrouting(store, points_layer, method.getValue());
         };
 
-        // add the controls to the map
+        // Ajouter les controls Ã  la carte
         map.addControls([draw_points, drag_points]);
 
-        // create the store to query the web service
+        // CrÃ©ation du store pour interroger le service web
         var store = new GeoExt.data.FeatureStore({
             layer: route_layer,
@@ -112,5 +112,5 @@
         });
 
-        // create the method combo box
+        // CrÃ©ation de la liste dÃ©roulante
         var method = new Ext.form.ComboBox({
             renderTo: "method",
@@ -129,5 +129,5 @@
             }
         });
-        // default method is Shortest Path Dijkstra
+        // DÃ©finir Disjkstra comme mÃ©thode par dÃ©faut
         method.setValue("SPD");
     });
Index: trunk/workshop-routing-foss4g/web/php/pgrouting.php
===================================================================
--- trunk/workshop-routing-foss4g/web/php/pgrouting.php	(revision 76)
+++ trunk/workshop-routing-foss4g/web/php/pgrouting.php	(revision 80)
@@ -1,5 +1,5 @@
 <?php
 
-   // Database connection settings
+   // ParamÃ©trage de la connexion Ã  la base de donnÃ©es
    define("PG_DB"  , "routing");
    define("PG_HOST", "localhost"); 
@@ -8,9 +8,9 @@
    define("TABLE",   "ways");
 
-   // Retrieve start point
+   // RÃ©cupÃ©rer le point de dÃ©part
    $start = split(' ',$_REQUEST['startpoint']);
    $startPoint = array($start[0], $start[1]);
 
-   // Retrieve end point
+   // RÃ©cupÃ©rer le point d'arrivÃ©e
    $end = split(' ',$_REQUEST['finalpoint']);
    $endPoint = array($end[0], $end[1]);
@@ -20,12 +20,12 @@
 <?php
 
-   // Find the nearest edge
+   // Trouver le tronÃ§on le plus proche
    $startEdge = findNearestEdge($startPoint);
    $endEdge   = findNearestEdge($endPoint);
 
-   // FUNCTION findNearestEdge
+   // FONCTION findNearestEdge
    function findNearestEdge($lonlat) {
 
-      // Connect to database
+      // Connexion Ã  la base de donnÃ©es
       $con = pg_connect("dbname=".PG_DB." host=".PG_HOST." user=".PG_USER);
 
@@ -48,5 +48,5 @@
       $edge['the_geom'] = pg_fetch_result($query, 0, 3);  
 
-      // Close database connection
+      // Fermer la connexion
       pg_close($con);
 
@@ -58,5 +58,5 @@
 <?php
 
-   // Select the routing algorithm
+   // Choisir un algorithme de parcours
    switch($_REQUEST['method']) {
 
@@ -106,10 +106,10 @@
         break;   
 
-   } // close switch
+   } // fin switch
 
-   // Connect to database
+   // Connexion Ã  la base de donnÃ©es
    $dbcon = pg_connect("dbname=".PG_DB." host=".PG_HOST." user=".PG_USER);
 
-   // Perform database query
+   // ExÃ©cuter une requÃªte
    $query = pg_query($dbcon,$sql); 
    
@@ -118,5 +118,5 @@
 <?php
 
-   // Return route as GeoJSON
+   // Renvoit un chemin au format GeoJSON
    $geojson = array(
       'type'      => 'FeatureCollection',
@@ -124,5 +124,5 @@
    ); 
   
-   // Add edges to GeoJSON array
+   // Ajouter un tronÃ§on au tableau GeoJSON
    while($edge=pg_fetch_assoc($query)) {  
 
@@ -140,13 +140,13 @@
       );
       
-      // Add feature array to feature collection array
+      // Ajouter un tableau d'Ã©lÃ©ments au tableau de collection d'Ã©lÃ©ments
       array_push($geojson['features'], $feature);
    }
 
 	
-   // Close database connection
+   // Fermeture de la connexion
    pg_close($dbcon);
 
-   // Return routing result
+   // Renvoyer le rÃ©sultat
    header('Content-type: application/json',true);
    echo json_encode($geojson);
Index: trunk/workshop-routing-foss4g/web/routing-0.html
===================================================================
--- trunk/workshop-routing-foss4g/web/routing-0.html	(revision 76)
+++ trunk/workshop-routing-foss4g/web/routing-0.html	(revision 80)
@@ -2,5 +2,5 @@
 <head>
 
-<title>A Basic GeoExt Page</title>
+<title>Une page GeoExt de base</title>
 <script src="ext/adapter/ext/ext-base.js" type="text/javascript"></script>
 <script src="ext/ext-all.js"  type="text/javascript"></script>